import type { FullToken, UseComponentStyleResult } from '../../theme';
/** Component only token. Which will handle additional calculation of alias token */
export interface ComponentToken {
    dropdownWidth: number;
    zIndexPopup: number;
}
export interface MenuToken extends FullToken<'Menu'> {
    menuItemHeight: number;
    menuHorizontalHeight: number;
    menuItemPaddingInline: number;
    menuArrowSize: number;
    menuArrowOffset: string;
    menuPanelMaskInset: number;
}
export interface MenuThemeToken extends MenuToken {
    themeColorTextSecondary: string;
    themeColorText: string;
    themeColorTextHover: string;
    themeColorTextSelect: string;
    themeColorDisabledText: string;
    themeColorDangerText: string;
    themeColorDangerTextHover: string;
    themeColorDangerTextSelect: string;
    themeColorBg: string;
    themeColorBgSecondary: string;
    themeColorBgActive: string;
    themeColorBgSelect: string;
    themeColorDangerBgActive: string;
    themeColorDangerBgSelect: string;
    themeInkBarWidth: number;
    themeInkBarHeight: number;
    themeInkBorderSize: number;
}
declare const _default: (prefixCls: string, injectStyle: boolean) => UseComponentStyleResult;
export default _default;
