import * as React from 'react';
import type { AvatarProps } from './Avatar';
import type { SkeletonParagraphProps } from './Paragraph';
import type { SkeletonTitleProps } from './Title';
interface SkeletonAvatarProps extends Omit<AvatarProps, 'active'> {
}
export interface SkeletonProps {
    active?: boolean;
    loading?: boolean;
    prefixCls?: string;
    className?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
    avatar?: SkeletonAvatarProps | boolean;
    title?: SkeletonTitleProps | boolean;
    paragraph?: SkeletonParagraphProps | boolean;
    round?: boolean;
}
declare const Skeleton: {
    (props: SkeletonProps): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
    defaultProps: {
        avatar: boolean;
        title: boolean;
        paragraph: boolean;
    };
    Button: {
        (props: import("./Button").SkeletonButtonProps): React.ReactElement<any, string | React.JSXElementConstructor<any>>;
        defaultProps: {
            size: string;
        };
    };
    Avatar: {
        (props: AvatarProps): React.ReactElement<any, string | React.JSXElementConstructor<any>>;
        defaultProps: {
            size: string;
            shape: string;
        };
    };
    Input: {
        (props: import("./Input").SkeletonInputProps): React.ReactElement<any, string | React.JSXElementConstructor<any>>;
        defaultProps: {
            size: string;
        };
    };
    Image: (props: import("./Image").SkeletonImageProps) => React.ReactElement<any, string | React.JSXElementConstructor<any>>;
};
export default Skeleton;
